<?php

// Ambil keyword dari data.txt
$dataFile = 'data.txt';
$keywords = file($dataFile, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
shuffle($keywords);

// Buat 6 folder jika belum ada
$folders = ['data1', 'data2', 'data3', 'data4', 'data5', 'data6'];
$total = count($keywords);
$chunk = ceil($total / 6);

$templates = [
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} menawarkan evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} mengelola manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} mempermudah monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mempercepat pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} meningkatkan manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} memfasilitasi manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} menghadirkan pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} mendukung monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} menghadirkan sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} mempermudah otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} menawarkan evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} menghadirkan otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mempermudah pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mempercepat pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} menyediakan monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} mengelola platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} menawarkan evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} mendukung otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} mempermudah otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} menawarkan sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} mengintegrasikan manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mempercepat pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} mengelola sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} mempermudah sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} menawarkan pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} menghadirkan pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} menawarkan pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} menawarkan pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mempermudah pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} mengintegrasikan otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} meningkatkan pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} meningkatkan pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} memfasilitasi monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mempercepat pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} memfasilitasi evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} mempermudah pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} menawarkan pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} menyediakan otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} menghadirkan manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} menyediakan sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} menghadirkan pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} mempermudah manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mempercepat pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pendataan nilai dan absensi", "description" => "{{brand}} menghadirkan pendataan nilai dan absensi secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} menghadirkan pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} mempercepat monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} memfasilitasi pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pendataan nilai dan absensi", "description" => "{{brand}} mengintegrasikan pendataan nilai dan absensi secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} mengintegrasikan otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pendataan nilai dan absensi", "description" => "{{brand}} mengintegrasikan pendataan nilai dan absensi secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} meningkatkan sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} mendukung platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mempermudah pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} mengelola pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pendataan nilai dan absensi", "description" => "{{brand}} memfasilitasi pendataan nilai dan absensi secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} mengintegrasikan platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} memfasilitasi manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} menghadirkan pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} mengelola platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} mengelola pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} menyediakan otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} memfasilitasi platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} mempercepat manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mempermudah pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} mempercepat sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} menawarkan otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} memfasilitasi platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mempercepat pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} mengelola monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} menghadirkan evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} mendukung manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pendataan nilai dan absensi", "description" => "{{brand}} mengelola pendataan nilai dan absensi secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Manajemen data siswa", "description" => "{{brand}} mengelola manajemen data siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} mendukung platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mengelola pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} menawarkan evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} menawarkan evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mendukung pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Otomatisasi penilaian", "description" => "{{brand}} mempercepat otomatisasi penilaian secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} menawarkan pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} mengintegrasikan pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} mengelola sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} meningkatkan pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} menawarkan evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Evaluasi hasil belajar", "description" => "{{brand}} memfasilitasi evaluasi hasil belajar secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} mempercepat monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} menawarkan pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mendukung pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Platform rapor online", "description" => "{{brand}} memfasilitasi platform rapor online secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mempermudah pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mempercepat pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pembuatan rapor smk", "description" => "{{brand}} mengintegrasikan pembuatan rapor SMK secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pencetakan rapor digital", "description" => "{{brand}} menghadirkan pencetakan rapor digital secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} menawarkan sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Sistem informasi akademik", "description" => "{{brand}} mengintegrasikan sistem informasi akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} menawarkan pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} meningkatkan pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pengolahan nilai siswa", "description" => "{{brand}} mempermudah pengolahan nilai siswa secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Pendataan nilai dan absensi", "description" => "{{brand}} menawarkan pendataan nilai dan absensi secara efisien dan akurat untuk kebutuhan sekolah modern."],
    ["title" => "{{brand}}: Solusi Monitoring perkembangan akademik", "description" => "{{brand}} mendukung monitoring perkembangan akademik secara efisien dan akurat untuk kebutuhan sekolah modern."],
];


// Fungsi untuk membuat slug yang bersih
function toSlug($text) {
    $text = str_replace(['{', '}', '{brand}'], '', $text);
    $text = preg_replace('/[^a-zA-Z0-9]+/', '-', strtolower($text));
    return substr(trim($text, '-'), 0, 50);
}

foreach ($folders as $i => $folder) {
    if (!file_exists($folder)) mkdir($folder);
    $subset = array_slice($keywords, $i * $chunk, $chunk);

    foreach ($subset as $brand) {
        $template = $templates[array_rand($templates)];
        $title = str_replace('{brand}', $brand, $template['title']);
        $description = str_replace('{brand}', $brand, $template['description']);
        $slug = toSlug($brand);
        $filename = "$folder/$slug.txt";
        $result = file_put_contents($filename, "Title: $title\nDescription: $description\n");
        if ($result === false) {
            echo "❌ Gagal buat: $filename\n";
        }
    }
}

echo "✅ Selesai generate 100 file ke dalam 6 folder.";
?>
