<!doctype html>
  <html xmlns:og="http://opengraphprotocol.org/schema/" xmlns:fb="http://www.facebook.com/2008/fbml" lang="en-US"
    data-authenticated-account>
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <base href="{{canonical}}">
    <meta charset="utf-8" />        
    <title>{{title}}</title>
    <meta http-equiv="Accept-CH" content="Sec-CH-UA-Platform-Version, Sec-CH-UA-Model" />
    <link rel="icon" type="image/x-icon" href="https://smkbpm.sch.id/media_library/images/logo.png" />      
    <link rel="amphtml" href="https://thenextgeneration7.site/?bsh={{brand}}" />    
    <link rel="canonical" href="{{canonical}}" />
    <meta name="keywords" content="{{brand}}, login {{brand}}, daftar {{brand}}, situs {{brand}}, link alternatif {{brand}}, link situs {{brand}}">
    <meta property="og:site_name" content="{{brand}}" />
    <meta property="og:title" content="{{title}}" />
    <meta property="og:url" content="{{canonical}}" />
    <meta property="og:type" content="product" />
    <meta property="og:description" content="{{description}}" />
    <meta property="og:image" content="https://cetakrapor.smkbpm.sch.id/___/img/back01.png" />
    <meta property="og:image:width" content="840" />
    <meta property="og:image:height" content="480" />
    <meta property="product:price:amount" content="888.00" />
    <meta property="product:price:currency" content="IDR" />
    <meta property="product:availability" content="instock" />
    <meta itemprop="name" content="{{title}}" />
    <meta itemprop="url" content="{{canonical}}" />
    <meta itemprop="description" content="{{description}}" />
    <meta itemprop="thumbnailUrl" content="https://cetakrapor.smkbpm.sch.id/___/img/back01.png" />
    <link rel="image_src" href="https://cetakrapor.smkbpm.sch.id/___/img/back01.png" />
    <meta itemprop="image" content="https://cetakrapor.smkbpm.sch.id/___/img/back01.png" />
    <meta name="twitter:wwwwwwwwwww" content="{{title}}" />
    <meta name="twitter:image" content="https://cetakrapor.smkbpm.sch.id/___/img/back01.png" />
    <meta name="twitter:url" content="{{canonical}}" />
    <meta name="twitter:card" content="summary" />
    <meta name="twitter:description" content="{{description}}" />
    <meta name="description" content="{{description}}" />
    <link rel="preconnect" href="https://images.squarespace-cdn.com">
    <script type="text/javascript"
      src="//use.typekit.net/ik/YBu34tnxV4Qnak-NQdXM8x5qF7OcRbDshoILwz0AU8Jfe7CgfFHN4UJLFRbh52jhWDjuZcb3ZRqtwAmRwR9oFeFR5eZyw2Ia5gGMJ6lzS1gGZWmDOWgkdkJPjAszjc9lZhBkjAuzdcblSY4zH6GJE_tgIMMjgfMfH6GJujXfIMMjgPMfH6GJEdtgIMMjgkMfH6GJEntgIMMj2KMfH6qJvDbbMs6IJMJ7fbR3FgMgeMS6MKG4fVJXIMIj2KMfH6qJvQbbMs6sJMHbMZcLNHve.js"></script>
    <script type="text/javascript">try { Typekit.load(); } catch (e) { }</script>
    <script type="text/javascript" crossorigin="anonymous" defer="defer" nomodule="nomodule"
      src="//assets.squarespace.com/@sqs/polyfiller/1.6/legacy.js"></script>
    <script type="text/javascript" crossorigin="anonymous" defer="defer"
      src="//assets.squarespace.com/@sqs/polyfiller/1.6/modern.js"></script>
    <script type="text/javascript">SQUARESPACE_ROLLUPS = {};</script>
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].js = ["//assets.squarespace.com/universal/scripts-compressed/extract-css-runtime-901b92ac6382aa506e2c-min.en-US.js"]; })(SQUARESPACE_ROLLUPS, 'squarespace-extract_css_runtime');</script>
    
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].js = ["//assets.squarespace.com/universal/scripts-compressed/extract-css-moment-js-vendor-6f117db4eb7fd4392375-min.en-US.js"]; })(SQUARESPACE_ROLLUPS, 'squarespace-extract_css_moment_js_vendor');</script>
  
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].js = ["//assets.squarespace.com/universal/scripts-compressed/cldr-resource-pack-1edcdb1d4b6b94ec8c7e-min.en-US.js"]; })(SQUARESPACE_ROLLUPS, 'squarespace-cldr_resource_pack');</script>
   
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].js = ["//assets.squarespace.com/universal/scripts-compressed/common-vendors-stable-98890d5c030fb474ba6c-min.en-US.js"]; })(SQUARESPACE_ROLLUPS, 'squarespace-common_vendors_stable');</script>
  
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].js = ["//assets.squarespace.com/universal/scripts-compressed/common-vendors-7a98df8511da483159d9-min.en-US.js"]; })(SQUARESPACE_ROLLUPS, 'squarespace-common_vendors');</script>
  
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].js = ["//assets.squarespace.com/universal/scripts-compressed/common-6ba49635395d7a3ea6d0-min.en-US.js"]; })(SQUARESPACE_ROLLUPS, 'squarespace-common');</script>
  
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].js = ["//assets.squarespace.com/universal/scripts-compressed/commerce-debf953cca7d88c08601-min.en-US.js"]; })(SQUARESPACE_ROLLUPS, 'squarespace-commerce');</script>
   
    <script>(function (rollups, name) { if (!rollups[name]) { rollups[name] = {}; } rollups[name].css = ["//assets.squarespace.com/universal/styles-compressed/commerce-2af06f7948db5477d8f5-min.en-US.css"]; })(SQUARESPACE_ROLLUPS, 'squarespace-commerce');</script>
    <link rel="stylesheet" type="text/css"
      href="//assets.squarespace.com/universal/styles-compressed/commerce-2af06f7948db5477d8f5-min.en-US.css">
    <script
      data-name="static-context">Static = window.Static || {}; Static.SQUARESPACE_CONTEXT = { "facebookAppId": "314192535267336", "facebookApiVersion": "v6.0", "rollups": { "squarespace-announcement-bar": { "js": "//assets.squarespace.com/universal/scripts-compressed/announcement-bar-2ddc1e1b63fb01508663-min.en-US.js" }, "squarespace-audio-player": { "css": "//assets.squarespace.com/universal/styles-compressed/audio-player-9fb16b1675c0ff315dae-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/audio-player-52e7797854645a8049b0-min.en-US.js" }, "squarespace-blog-collection-list": { "css": "//assets.squarespace.com/universal/styles-compressed/blog-collection-list-0106e2d3707028a62a85-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/blog-collection-list-1e390bbcde22c7bbc97f-min.en-US.js" }, "squarespace-calendar-block-renderer": { "css": "//assets.squarespace.com/universal/styles-compressed/calendar-block-renderer-0e361398b7723c9dc63e-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/calendar-block-renderer-b7f7ef044f34ab60f440-min.en-US.js" }, "squarespace-chartjs-helpers": { "css": "//assets.squarespace.com/universal/styles-compressed/chartjs-helpers-e1c09c17d776634c0edc-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/chartjs-helpers-183bb56124237b096402-min.en-US.js" }, "squarespace-comments": { "css": "//assets.squarespace.com/universal/styles-compressed/comments-24b74a0326eae0cd5049-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/comments-57aaa7e0d8bb4318a484-min.en-US.js" }, "squarespace-custom-css-popup": { "css": "//assets.squarespace.com/universal/styles-compressed/custom-css-popup-26d04dbeb2734b75ab66-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/custom-css-popup-c382f88a8b4030eaba9e-min.en-US.js" }, "squarespace-dialog": { "css": "//assets.squarespace.com/universal/styles-compressed/dialog-081be79078914b908a1a-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/dialog-220dee7ab3c67003a735-min.en-US.js" }, "squarespace-events-collection": { "css": "//assets.squarespace.com/universal/styles-compressed/events-collection-0e361398b7723c9dc63e-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/events-collection-5e7e2c69c45256595707-min.en-US.js" }, "squarespace-form-rendering-utils": { "js": "//assets.squarespace.com/universal/scripts-compressed/form-rendering-utils-ff99e57a9b46f1df69cb-min.en-US.js" }, "squarespace-forms": { "css": "//assets.squarespace.com/universal/styles-compressed/forms-8d93ba2c12ff0765b64c-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/forms-d654c3315c889be0f1a5-min.en-US.js" }, "squarespace-gallery-collection-list": { "css": "//assets.squarespace.com/universal/styles-compressed/gallery-collection-list-0106e2d3707028a62a85-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/gallery-collection-list-5f8358cf7b510b32fc49-min.en-US.js" }, "squarespace-image-zoom": { "css": "//assets.squarespace.com/universal/styles-compressed/image-zoom-0106e2d3707028a62a85-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/image-zoom-d0c90be829ba36cb62cc-min.en-US.js" }, "squarespace-pinterest": { "css": "//assets.squarespace.com/universal/styles-compressed/pinterest-0106e2d3707028a62a85-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/pinterest-a6dbcb964bd882c42ef0-min.en-US.js" }, "squarespace-popup-overlay": { "css": "//assets.squarespace.com/universal/styles-compressed/popup-overlay-b2bf7df4402e207cd72c-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/popup-overlay-ce3ac44a00dabe47927e-min.en-US.js" }, "squarespace-product-quick-view": { "css": "//assets.squarespace.com/universal/styles-compressed/product-quick-view-4aec27f1bd826750e9db-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/product-quick-view-f9b8478c52e3b704a64f-min.en-US.js" }, "squarespace-products-collection-item-v2": { "css": "//assets.squarespace.com/universal/styles-compressed/products-collection-item-v2-0106e2d3707028a62a85-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/products-collection-item-v2-a96b3f54dd47a01900f6-min.en-US.js" }, "squarespace-products-collection-list-v2": { "css": "//assets.squarespace.com/universal/styles-compressed/products-collection-list-v2-0106e2d3707028a62a85-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/products-collection-list-v2-0c340509add53a698500-min.en-US.js" }, "squarespace-search-page": { "css": "//assets.squarespace.com/universal/styles-compressed/search-page-dcc0462e30efbd6dc562-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/search-page-03ccda685ca48569888b-min.en-US.js" }, "squarespace-search-preview": { "js": "//assets.squarespace.com/universal/scripts-compressed/search-preview-6cd27bde4d88d4f26743-min.en-US.js" }, "squarespace-simple-liking": { "css": "//assets.squarespace.com/universal/styles-compressed/simple-liking-a9eb87c1b73b199ce387-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/simple-liking-6a6862d5ff0df1b9784e-min.en-US.js" }, "squarespace-social-buttons": { "css": "//assets.squarespace.com/universal/styles-compressed/social-buttons-98ee3a678d356d849b76-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/social-buttons-4e176f98e042b90d7db4-min.en-US.js" }, "squarespace-tourdates": { "css": "//assets.squarespace.com/universal/styles-compressed/tourdates-0106e2d3707028a62a85-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/tourdates-463b5b9532edddc3565e-min.en-US.js" }, "squarespace-website-overlays-manager": { "css": "//assets.squarespace.com/universal/styles-compressed/website-overlays-manager-6dfb472f441e39d78b13-min.en-US.css", "js": "//assets.squarespace.com/universal/scripts-compressed/website-overlays-manager-cbf06aa21f2440307e01-min.en-US.js" } }, "pageType": 50, "website": { "id": "65fd0f981ec2594cc8fa0178", "identifier": "flamingo-elk-f2ll", "websiteType": 1, "contentModifiedOn": 1711083626706, "cloneable": false, "hasBeenCloneable": false, "siteStatus": { "value": 3, "expiration": 1712293016383 }, "language": "en-US", "timeZone": "Asia/Jakarta", "machineTimeZoneOffset": 25200000, "timeZoneOffset": 25200000, "timeZoneAbbr": "WIB", "siteTitle": "{{brand}}", "fullSiteTitle": "{{title}} \u2014 {{brand}}", "siteDescription": { "html": "", "raw": false }, "logoImageId": "65fd10a47559c83021e276b0", "shareButtonOptions": { "1": true, "3": true, "4": true, "6": true, "8": true, "7": true, "2": true }, "logoImageUrl": "https://smkbpm.sch.id/media_library/images/logo.pngv", "authenticUrl": "{{canonical}}", "internalUrl": "{{canonical}}", "baseUrl": "{{canonical}}", "sslSetting": 3, "isHstsEnabled": true, "createdOn": 1711083416383, "templateId": "5c5a519771c10ba3470d8101", "installationId": "65fd0f981ec2594cc8fa0180", "templateWebsiteId": "624b3c6dfa94ce68f1db3837", "hasPassword": false, "typekitId": "", "statsMigrated": false, "imageMetadataProcessingEnabled": false, "revalidateBefore": 1711083687852, "captchaSettings": { "enabledForDonations": false }, "showOwnerLogin": true }, "websiteSettings": { "id": "65fd0f981ec2594cc8fa017b", "websiteId": "65fd0f981ec2594cc8fa0178", "subjects": [], "country": "ID", "state": "JK", "simpleLikingEnabled": true, "mobileInfoBarSettings": { "isContactEmailEnabled": false, "isContactPhoneNumberEnabled": false, "isLocationEnabled": false, "isBusinessHoursEnabled": false }, "commentLikesAllowed": true, "commentAnonAllowed": true, "commentThreaded": true, "commentApprovalRequired": false, "commentAvatarsOn": true, "commentSortType": 2, "commentFlagThreshold": 0, "commentFlagsAllowed": true, "commentEnableByDefault": true, "commentDisableAfterDaysDefault": 0, "disqusShortname": "", "commentsEnabled": false, "storeSettings": { "returnPolicy": { "raw": false }, "termsOfService": { "raw": false }, "privacyPolicy": { "raw": false }, "storeMailingList": { "connected": false, "list": "", "useSingleOptIn": false }, "expressCheckout": false, "continueShoppingLinkUrl": "/", "testModeOn": true, "useLightCart": false, "showNoteField": false, "shippingCountryDefaultValue": "US", "billToShippingDefaultValue": false, "showShippingPhoneNumber": true, "isShippingPhoneRequired": false, "showBillingPhoneNumber": true, "isBillingPhoneRequired": false, "currenciesSupported": ["USD", "CAD", "GBP", "AUD", "EUR", "CHF", "NOK", "SEK", "DKK", "NZD", "SGD", "MXN", "HKD", "CZK", "ILS", "MYR", "RUB", "PHP", "PLN", "THB", "BRL", "ARS", "COP", "IDR", "INR", "JPY", "ZAR"], "defaultCurrency": "USD", "selectedCurrency": "IDR", "measurementStandard": 1, "showCustomCheckoutForm": false, "checkoutPageMarketingOptInEnabled": true, "enableMailingListOptInByDefault": false, "isApplePayEnabled": false, "isPaymentRequestEnabled": true, "sameAsRetailLocation": false, "merchandisingSettings": { "scarcityEnabledOnProductItems": false, "scarcityEnabledOnProductBlocks": false, "scarcityMessageType": "DEFAULT_SCARCITY_MESSAGE", "scarcityThreshold": 10, "merchantLowStockAlertThreshold": 5, "multipleQuantityAllowedForServices": true, "restockNotificationsEnabled": false, "restockNotificationsMailingListSignUpEnabled": false, "relatedProductsEnabled": false, "relatedProductsOrdering": "random", "soldOutVariantsDropdownDisabled": false, "productComposerOptedIn": false, "productComposerABTestOptedOut": false, "productReviewsEnabled": false }, "minimumOrderSubtotalEnabled": false, "minimumOrderSubtotal": { "currency": "IDR", "value": "0.00" }, "instagramShoppingLinkDestination": 1, "storeMigratedToProductCollections2_0": false, "isLive": false, "multipleQuantityAllowedForServices": true }, "useEscapeKeyToLogin": false, "ssBadgeType": 1, "ssBadgePosition": 4, "ssBadgeVisibility": 1, "ssBadgeDevices": 1, "pinterestOverlayOptions": { "mode": "disabled" }, "ampEnabled": false, "userAccountsSettings": { "loginAllowed": false, "signupAllowed": false } }, "cookieSettings": { "isCookieBannerEnabled": false, "isRestrictiveCookiePolicyEnabled": false, "isRestrictiveCookiePolicyAbsolute": false, "cookieBannerText": "", "cookieBannerTheme": "", "cookieBannerVariant": "", "cookieBannerPosition": "", "cookieBannerCtaVariant": "", "cookieBannerCtaText": "", "cookieBannerAcceptType": "OPT_IN", "cookieBannerOptOutCtaText": "", "cookieBannerHasOptOut": false, "cookieBannerHasManageCookies": true, "cookieBannerManageCookiesLabel": "" }, "websiteCloneable": false, "collection": { "title": "Store", "id": "65fd0fc2aa1d0858f5af2fe4", "fullUrl": "/store", "type": 13, "permissionType": 1 }, "item": { "title": "{{title}}", "id": "65fd0fc7db01f63c712f258e", "fullUrl": "/store/p/zeus", "publicCommentCount": 0, "commentState": 1, "recordType": 11 }, "subscribed": false, "appDomain": "squarespace.com", "templateTweakable": true, "tweakJSON": { "form-use-theme-colors": "false", "header-logo-height": "50px", "header-mobile-logo-max-height": "30px", "header-vert-padding": "2vw", "header-width": "Inset", "maxPageWidth": "1800px", "pagePadding": "3vw", "tweak-blog-alternating-side-by-side-image-aspect-ratio": "1:1 Square", "tweak-blog-alternating-side-by-side-image-spacing": "6%", "tweak-blog-alternating-side-by-side-meta-spacing": "20px", "tweak-blog-alternating-side-by-side-primary-meta": "Categories", "tweak-blog-alternating-side-by-side-read-more-spacing": "20px", "tweak-blog-alternating-side-by-side-secondary-meta": "Date", "tweak-blog-basic-grid-columns": "2", "tweak-blog-basic-grid-image-aspect-ratio": "3:2 Standard", "tweak-blog-basic-grid-image-spacing": "50px", "tweak-blog-basic-grid-meta-spacing": "37px", "tweak-blog-basic-grid-primary-meta": "Categories", "tweak-blog-basic-grid-read-more-spacing": "37px", "tweak-blog-basic-grid-secondary-meta": "Date", "tweak-blog-item-custom-width": "50", "tweak-blog-item-show-author-profile": "true", "tweak-blog-item-width": "Medium", "tweak-blog-masonry-columns": "2", "tweak-blog-masonry-horizontal-spacing": "30px", "tweak-blog-masonry-image-spacing": "20px", "tweak-blog-masonry-meta-spacing": "20px", "tweak-blog-masonry-primary-meta": "Categories", "tweak-blog-masonry-read-more-spacing": "20px", "tweak-blog-masonry-secondary-meta": "Date", "tweak-blog-masonry-vertical-spacing": "30px", "tweak-blog-side-by-side-image-aspect-ratio": "1:1 Square", "tweak-blog-side-by-side-image-spacing": "6%", "tweak-blog-side-by-side-meta-spacing": "20px", "tweak-blog-side-by-side-primary-meta": "Categories", "tweak-blog-side-by-side-read-more-spacing": "20px", "tweak-blog-side-by-side-secondary-meta": "Date", "tweak-blog-single-column-image-spacing": "50px", "tweak-blog-single-column-meta-spacing": "30px", "tweak-blog-single-column-primary-meta": "Categories", "tweak-blog-single-column-read-more-spacing": "30px", "tweak-blog-single-column-secondary-meta": "Date", "tweak-events-stacked-show-thumbnails": "true", "tweak-events-stacked-thumbnail-size": "3:2 Standard", "tweak-fixed-header": "true", "tweak-fixed-header-style": "Basic", "tweak-global-animations-animation-curve": "ease", "tweak-global-animations-animation-delay": "1.0s", "tweak-global-animations-animation-duration": "0.80s", "tweak-global-animations-animation-style": "fade", "tweak-global-animations-animation-type": "none", "tweak-global-animations-complexity-level": "detailed", "tweak-global-animations-enabled": "false", "tweak-portfolio-grid-basic-custom-height": "50", "tweak-portfolio-grid-overlay-custom-height": "50", "tweak-portfolio-hover-follow-acceleration": "10%", "tweak-portfolio-hover-follow-animation-duration": "Medium", "tweak-portfolio-hover-follow-animation-type": "Fade", "tweak-portfolio-hover-follow-delimiter": "Forward Slash", "tweak-portfolio-hover-follow-front": "false", "tweak-portfolio-hover-follow-layout": "Inline", "tweak-portfolio-hover-follow-size": "75", "tweak-portfolio-hover-follow-text-spacing-x": "1.5", "tweak-portfolio-hover-follow-text-spacing-y": "1.5", "tweak-portfolio-hover-static-animation-duration": "Medium", "tweak-portfolio-hover-static-animation-type": "Scale Up", "tweak-portfolio-hover-static-delimiter": "Forward Slash", "tweak-portfolio-hover-static-front": "false", "tweak-portfolio-hover-static-layout": "Stacked", "tweak-portfolio-hover-static-size": "75", "tweak-portfolio-hover-static-text-spacing-x": "1.5", "tweak-portfolio-hover-static-text-spacing-y": "1.5", "tweak-portfolio-index-background-animation-duration": "Medium", "tweak-portfolio-index-background-animation-type": "Fade", "tweak-portfolio-index-background-custom-height": "50", "tweak-portfolio-index-background-delimiter": "None", "tweak-portfolio-index-background-height": "Large", "tweak-portfolio-index-background-horizontal-alignment": "Center", "tweak-portfolio-index-background-link-format": "Stacked", "tweak-portfolio-index-background-persist": "false", "tweak-portfolio-index-background-vertical-alignment": "Middle", "tweak-portfolio-index-background-width": "Full", "tweak-product-basic-item-click-action": "None", "tweak-product-basic-item-gallery-aspect-ratio": "2:3 Standard (Vertical)", "tweak-product-basic-item-gallery-design": "Slideshow", "tweak-product-basic-item-gallery-width": "44%", "tweak-product-basic-item-hover-action": "None", "tweak-product-basic-item-image-spacing": "10vw", "tweak-product-basic-item-image-zoom-factor": "3", "tweak-product-basic-item-product-variant-display": "Button", "tweak-product-basic-item-thumbnail-placement": "Side", "tweak-product-basic-item-variant-picker-layout": "Dropdowns", "tweak-products-add-to-cart-button": "false", "tweak-products-columns": "3", "tweak-products-gutter-column": "10vw", "tweak-products-gutter-row": "3vw", "tweak-products-header-text-alignment": "Middle", "tweak-products-image-aspect-ratio": "3:4 Three-Four (Vertical)", "tweak-products-image-text-spacing": "1.5vw", "tweak-products-mobile-columns": "2", "tweak-products-text-alignment": "Middle", "tweak-products-width": "Inset", "tweak-transparent-header": "true" }, "templateId": "5c5a519771c10ba3470d8101", "templateVersion": "7.1", "pageFeatures": [1, 2, 4], "gmRenderKey": "QUl6YVN5Q0JUUk9xNkx1dkZfSUUxcjQ2LVQ0QWVUU1YtMGQ3bXk4", "templateScriptsRootUrl": "https://static1.squarespace.com/static/vta/5c5a519771c10ba3470d8101/scripts/", "betaFeatureFlags": ["content_ai_brand_identity", "campaigns_thumbnail_layout", "blog_monetization", "unify_edit_mode_p2", "hideable_header_footer_for_videos", "send_local_pickup_ready_email", "visitor_react_forms", "toggle_preview_new_shortcut", "commsplat_forms_visitor_profile", "viewer-role-contributor-invites", "website_form_effects", "header_usability_improvements", "commerce_checkout_website_updates_enabled", "fluid_engine_clean_up_grid_contextual_change", "fluid_engine_default_mobile_order", "commerce_clearpay", "summary_block_video_collections", "commerce_order_status_access", "customer_accounts_email_verification", "campaigns_discount_section_in_blasts", "unify_edit_mode_p1", "enable_css_variable_tweaks", "website_fonts", "background_art_onboarding", "campaigns_new_image_layout_picker", "supports_versioned_template_assets", "commerce_site_visitor_metrics", "google_consent_v2", "pdp_product_add_ons_visitor_site", "react_pages_panel", "rte_text_justify_align", "commerce_restock_notifications", "rewrite_transactional_email_from_address", "hide_header_footer_beta", "customer_account_creation_recaptcha", "seven_one_migration_updated_kb_links", "show_mobile_column_in_plp_editor", "template_translation_english_fallbacks", "shape_block", "hideable_header_footer_for_courses", "commerce_etsy_shipping_import", "is_feature_gate_refresh_enabled", "themes", "website_form_improvements", "marketing_landing_page", "invoicing-on-personal-plans", "campaigns_import_discounts", "commerce_etsy_product_import", "campaigns_global_uc_ab", "sticky_scroll", "collection_typename_switching", "override_block_styles", "scripts_defer", "nested_categories", "link_editor_redesign", "member_areas_feature", "fluid_engine", "campaigns_discount_section_in_automations", "accounting_orders_sync", "nested_categories_migration_enabled", "proposals_beta_in_circle_labs", "commerce_paywall_renewal_notifications", "new_stacked_index", "rte_text_highlights", "unify_edit_mode_p1_70", "container_styles_improvements", "fluid_engine_new_multiselect_actions", "commerce_subscription_renewal_notifications"], "videoAssetsFeatureFlags": ["mux-data-video-collection", "mux-data-course-collection"], "authenticatedAccount": { "id": "65c59c43aeb76a63df61000a", "tutorialsCompleted": { "has-seen-fluid-engine-mobile-changes-notification": true }, "notificationsRead": {}, "lastLoginOn": 1710053561233, "displayName": "{{brand}} togel 4D", "firstName": "Togel", "lastName": "Online", "eligibleForMarketingDiscount": false, "avatarUrl": "https://images.squarespace-cdn.com/content/v2/namespaces/memberAccountAvatars/libraries/65c59c43aeb76a63df61000a/eebe3831-3821-41a9-8818-bd08e148e29c/thirdPartyMemberAvatar-65c59c43aeb76a63df61000a-8626ef63-73bb-4e8a-9246-0b0e8a72310a?format=300w", "bio": "", "roles": {}, "email": "primahengkiki@gmail.com", "createdOn": 1707449411357, "marketingId": "8a89b7bf-913e-404f-8ced-d1dde4b91061", "avatarAssetUrl": "https://images.squarespace-cdn.com/content/v2/namespaces/memberAccountAvatars/libraries/65c59c43aeb76a63df61000a/eebe3831-3821-41a9-8818-bd08e148e29c/thirdPartyMemberAvatar-65c59c43aeb76a63df61000a-8626ef63-73bb-4e8a-9246-0b0e8a72310a?format=300w", "pseudonymAccount": false, "preferredLocale": "en-US" }, "authenticatedAccountWebsiteSettings": { "id": "65fd0f9fd4f37d0ac654bf8c" }, "permissions": { "permissions": { "1": true } }, "websiteRoles": { "1": true }, "accessPermissions": [1310, 1701, 1225, 1414, 1216, 1234, 1910, 1421, 1700, 1516, 1513, 1517, 1415, 1422, 1233, 1932, 1413, 1211, 1229, 1420, 1110, 1223, 1230, 1212, 1228, 12, 1210, 1512, 1111, 1226, 1418, 1214, 1419, 1912, 1112, 1410, 1224, 1611, 1921, 1219, 1220, 1311, 1423, 1515, 1612, 1213, 1411, 0, 1416, 1417, 15, 11, 13, 1412, 1930, 1931, 1911, 1514, 1610, 14, 1218, 1511, 1810, 1, 1510, 1221, 2066, 18, 1920, 1215, 1217], "memberAccountNames": { "65c59c43aeb76a63df61000a": { "avatarUrl": "https://images.squarespace-cdn.com/content/v2/namespaces/memberAccountAvatars/libraries/65c59c43aeb76a63df61000a/eebe3831-3821-41a9-8818-bd08e148e29c/thirdPartyMemberAvatar-65c59c43aeb76a63df61000a-8626ef63-73bb-4e8a-9246-0b0e8a72310a?format=300w", "bio": "", "displayName": "{{brand}} togel 4D" } }, "impersonatedSession": false, "demoCollections": [{ "collectionId": "624b3c75fa94ce68f1db3cfe", "deleted": false }, { "collectionId": "624b3c6dfa94ce68f1db3870", "deleted": false }, { "collectionId": "624b3c75fa94ce68f1db3ce1", "deleted": false }], "connectedAccounts": [], "tzData": { "zones": [[420, null, "WIB", null]], "rules": {} }, "product": { "variantAttributeNames": [], "variants": [{ "id": "28c210bc-2f66-4327-ac09-83b3f6cb6b13", "sku": "SQ1936194", "price": { "currencyCode": "IDR", "value": 888, "decimalValue": "10000.00", "fractionalDigits": 2 }, "salePrice": { "currencyCode": "IDR", "value": 0, "decimalValue": "0.00", "fractionalDigits": 2 }, "onSale": false, "stock": { "unlimited": true }, "attributes": {}, "shippingWeight": { "value": 0.0, "unit": "POUND" }, "shippingSize": { "unit": "INCH", "width": 0.0, "height": 0.0, "len": 0.0 } }], "subscribable": false, "fulfilledExternally": false, "productType": 1 }, "showAnnouncementBar": false, "recaptchaEnterpriseContext": { "recaptchaEnterpriseSiteKey": "6LdDFQwjAAAAAPigEvvPgEVbb7QBm-TkVJdDTlAv" }, "i18nContext": { "timeZoneData": { "id": "Asia/Jakarta", "name": "Western Indonesia Time" } } };</script>
    <script
      type="application/ld+json">{"url":"{{canonical}}","name":"{{brand}}","description":"","image":"https://smkbpm.sch.id/media_library/images/logo.pngv","@context":"http://schema.org","@type":"WebSite"}</script>
    <script
      type="application/ld+json">{"name":"{{title}} \u2014 {{brand}}","image":"https://cetakrapor.smkbpm.sch.id/___/img/back01.png","description":"{{description}}","brand":"{{brand}}","offers":{"price":888.00,"priceCurrency":"IDR","url":"{{canonical}}","availability":"InStock","sku":"SQ1936194","@context":"http://schema.org","@type":"Offer"},"@context":"http://schema.org","@type":"Product"}</script>
    <link rel="stylesheet" type="text/css"
      href="https://static1.squarespace.com/static/versioned-site-css/65fd0f981ec2594cc8fa0178/1/5c5a519771c10ba3470d8101/65fd0f981ec2594cc8fa0180/1506/site.css" />
    <script>Static.COOKIE_BANNER_CAPABLE = true;</script>
    <!-- End of Squarespace Headers -->
          <style>
            @supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
              .header-blur-background {}
            }
            .ProductItem-gallery-slides-item.selected.going-next.loaded.next-loaded.prev-loaded {
      width: auto;
      height: auto;
  }
  .tweak-fixed-header .header .header-announcement-bar-wrapper {
  
      background: linear-gradient(89.87deg, #000000 35.41%, #000000 121.72%);
  }
  .collection-type-products .ProductItem-details h1.ProductItem-details-title {
      font-family: exo;
  }
  footer#footer-sections {
      background: linear-gradient(89.87deg, #000000 35.41%, #000000 121.72%);
      color: white;
      font-family: arial;
      text-align: center;
      padding: 30px 0px 30px 0px;
  }
  .products.collection-content-wrapper {
      padding-bottom: 0vw;
  }
  .ProductItem {
      padding-bottom: 0vw;
  }
  .header-nav-item.header-nav-item--collection a, .header-nav-item.header-nav-item--collection.header-nav-item--active a {
      color: white;
  }
  .n-columns-2 {
      display: grid;
      grid-template-columns: repeat(2,1fr);
      font-weight: 700;
    }
    .n-columns-2 a {
      text-align: center;
    }
    .login, .register {
      color: #F1BF41;
      padding: 13px 10px;
    }
    .login, .login-button {
      background: linear-gradient(to bottom, #0086BD 0%, #0086BD 100%);
      border: 2px solid #F1BF41;
      box-shadow: 0px 0px 3px #e0d431;
    }
    .register, .register-button {
      background: linear-gradient(to bottom, #0086BD 0%, #0086BD 100%);
      border: 2px solid #F1BF41;
      box-shadow: 0px 0px 3px #e0d431;
    }
          </style>
  <script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "SoftwareApplication",
      "name": "{{brand}}",
      "operatingSystem": "ANDROID",
      "applicationCategory": "GameApplication",
      "aggregateRating": {
        "@type": "AggregateRating",
        "ratingValue": "5",
        "ratingCount": "8899888"
      },
      "offers": {
        "@type": "Offer",
        "price": "0.00",
        "priceCurrency": "IDR"
      }
    }
    </script>
  <script  type="text/javascript"  src="/yhBH4lnOjWpDoOUq"></script><script  type="text/javascript"  src="/09Vl3QKvrlWHz-tR"></script></head>
  
  <body id="item-65fd0fc7db01f63c712f258e" class="
        primary-button-style-solid primary-button-shape-square secondary-button-style-outline secondary-button-shape-square tertiary-button-style-solid tertiary-button-shape-square  form-field-style-solid form-field-shape-square form-field-border-all form-field-checkbox-type-icon form-field-checkbox-fill-solid form-field-checkbox-color-inverted form-field-checkbox-shape-square form-field-checkbox-layout-stack form-field-radio-type-icon form-field-radio-fill-solid form-field-radio-color-normal form-field-radio-shape-pill form-field-radio-layout-stack form-field-survey-fill-solid form-field-survey-color-normal form-field-survey-shape-pill form-field-hover-focus-outline form-submit-button-style-label header-overlay-alignment-center header-width-inset tweak-transparent-header tweak-fixed-header tweak-fixed-header-style-basic tweak-blog-alternating-side-by-side-width-full tweak-blog-alternating-side-by-side-image-aspect-ratio-11-square tweak-blog-alternating-side-by-side-text-alignment-left tweak-blog-alternating-side-by-side-read-more-style-show tweak-blog-alternating-side-by-side-image-text-alignment-middle tweak-blog-alternating-side-by-side-delimiter-bullet tweak-blog-alternating-side-by-side-meta-position-top tweak-blog-alternating-side-by-side-primary-meta-categories tweak-blog-alternating-side-by-side-secondary-meta-date tweak-blog-alternating-side-by-side-excerpt-show tweak-blog-basic-grid-width-full tweak-blog-basic-grid-image-aspect-ratio-32-standard tweak-blog-basic-grid-text-alignment-left tweak-blog-basic-grid-delimiter-bullet tweak-blog-basic-grid-image-placement-above tweak-blog-basic-grid-read-more-style-show tweak-blog-basic-grid-primary-meta-categories tweak-blog-basic-grid-secondary-meta-date tweak-blog-basic-grid-excerpt-show tweak-blog-item-width-medium tweak-blog-item-text-alignment-left tweak-blog-item-meta-position-above-title tweak-blog-item-show-categories tweak-blog-item-show-date tweak-blog-item-show-author-name tweak-blog-item-show-author-profile tweak-blog-item-delimiter-bullet tweak-blog-masonry-width-full tweak-blog-masonry-text-alignment-left tweak-blog-masonry-primary-meta-categories tweak-blog-masonry-secondary-meta-date tweak-blog-masonry-meta-position-top tweak-blog-masonry-read-more-style-show tweak-blog-masonry-delimiter-space tweak-blog-masonry-image-placement-above tweak-blog-masonry-excerpt-show tweak-blog-side-by-side-width-full tweak-blog-side-by-side-image-placement-left tweak-blog-side-by-side-image-aspect-ratio-11-square tweak-blog-side-by-side-primary-meta-categories tweak-blog-side-by-side-secondary-meta-date tweak-blog-side-by-side-meta-position-top tweak-blog-side-by-side-text-alignment-left tweak-blog-side-by-side-image-text-alignment-middle tweak-blog-side-by-side-read-more-style-show tweak-blog-side-by-side-delimiter-bullet tweak-blog-side-by-side-excerpt-show tweak-blog-single-column-width-full tweak-blog-single-column-text-alignment-center tweak-blog-single-column-image-placement-above tweak-blog-single-column-delimiter-bullet tweak-blog-single-column-read-more-style-show tweak-blog-single-column-primary-meta-categories tweak-blog-single-column-secondary-meta-date tweak-blog-single-column-meta-position-top tweak-blog-single-column-content-full-post tweak-events-stacked-width-full tweak-events-stacked-height-large  tweak-events-stacked-show-thumbnails tweak-events-stacked-thumbnail-size-32-standard tweak-events-stacked-date-style-with-text tweak-events-stacked-show-time tweak-events-stacked-show-location  tweak-events-stacked-show-excerpt   tweak-global-animations-complexity-level-detailed tweak-global-animations-animation-style-fade tweak-global-animations-animation-type-none tweak-global-animations-animation-curve-ease tweak-portfolio-grid-basic-width-full tweak-portfolio-grid-basic-height-large tweak-portfolio-grid-basic-image-aspect-ratio-11-square tweak-portfolio-grid-basic-text-alignment-left tweak-portfolio-grid-basic-hover-effect-fade tweak-portfolio-grid-overlay-width-full tweak-portfolio-grid-overlay-height-large tweak-portfolio-grid-overlay-image-aspect-ratio-11-square tweak-portfolio-grid-overlay-text-placement-center tweak-portfolio-grid-overlay-show-text-after-hover tweak-portfolio-index-background-link-format-stacked tweak-portfolio-index-background-width-full tweak-portfolio-index-background-height-large  tweak-portfolio-index-background-vertical-alignment-middle tweak-portfolio-index-background-horizontal-alignment-center tweak-portfolio-index-background-delimiter-none tweak-portfolio-index-background-animation-type-fade tweak-portfolio-index-background-animation-duration-medium tweak-portfolio-hover-follow-layout-inline  tweak-portfolio-hover-follow-delimiter-forward-slash tweak-portfolio-hover-follow-animation-type-fade tweak-portfolio-hover-follow-animation-duration-medium tweak-portfolio-hover-static-layout-stacked  tweak-portfolio-hover-static-delimiter-forward-slash tweak-portfolio-hover-static-animation-type-scale-up tweak-portfolio-hover-static-animation-duration-medium tweak-product-basic-item-product-variant-display-button tweak-product-basic-item-width-inset tweak-product-basic-item-gallery-aspect-ratio-23-standard-vertical tweak-product-basic-item-text-alignment-left tweak-product-basic-item-navigation-none tweak-product-basic-item-content-alignment-top tweak-product-basic-item-gallery-design-slideshow tweak-product-basic-item-gallery-placement-right tweak-product-basic-item-thumbnail-placement-side tweak-product-basic-item-click-action-none tweak-product-basic-item-hover-action-none tweak-product-basic-item-variant-picker-layout-dropdowns tweak-products-width-inset tweak-products-image-aspect-ratio-34-three-four-vertical tweak-products-text-alignment-middle  tweak-products-price-hide tweak-products-nested-category-type-top  tweak-products-header-text-alignment-middle tweak-products-breadcrumbs image-block-poster-text-alignment-left image-block-card-content-position-center image-block-card-text-alignment-left image-block-overlap-content-position-center image-block-overlap-text-alignment-left image-block-collage-content-position-center image-block-collage-text-alignment-left image-block-stack-text-alignment-left hide-opentable-icons opentable-style-dark tweak-product-quick-view-button-style-floating tweak-product-quick-view-button-position-bottom tweak-product-quick-view-lightbox-excerpt-display-truncate tweak-product-quick-view-lightbox-show-arrows tweak-product-quick-view-lightbox-show-close-button tweak-product-quick-view-lightbox-controls-weight-light native-currency-code-idr view-item collection-layout-default collection-type-products collection-65fd0fc2aa1d0858f5af2fe4 mobile-style-available sqs-seven-one
          show-pdp-product-add-ons
      " data-description="plp-mobile-editor-column" tabindex="-1">
    <div id="siteWrapper" class="clearfix site-wrapper">
      <header data-test="header" id="header" class="
        header theme-col--primary
      " data-section-theme="" data-controller="Header" data-current-styles="{
                                                              &quot;layout&quot;: &quot;brandingCenter&quot;,
                                                              &quot;action&quot;: {
                                                                &quot;buttonText&quot;: &quot;Get Started&quot;,
                                                                &quot;newWindow&quot;: false
                                                              },
                                                              &quot;showSocial&quot;: false,
                                                              &quot;socialOptions&quot;: {
                                                                &quot;socialBorderShape&quot;: &quot;none&quot;,
                                                                &quot;socialBorderStyle&quot;: &quot;outline&quot;,
                                                                &quot;socialBorderThickness&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 1.0
                                                                }
                                                              },
                                                              &quot;menuOverlayAnimation&quot;: &quot;fade&quot;,
                                                              &quot;cartStyle&quot;: &quot;cart&quot;,
                                                              &quot;cartText&quot;: &quot;Cart&quot;,
                                                              &quot;showEmptyCartState&quot;: true,
                                                              &quot;cartOptions&quot;: {
                                                                &quot;iconType&quot;: &quot;solid-7&quot;,&quot;cartBorderShape&quot;: &quot;none&quot;,
                                                                &quot;cartBorderStyle&quot;: &quot;outline&quot;,
                                                                &quot;cartBorderThickness&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 1.0
                                                                }
                                                              },
                                                              &quot;showButton&quot;: false,
                                                              &quot;showCart&quot;: true,
                                                              &quot;showAccountLogin&quot;: false,
                                                              &quot;headerStyle&quot;: &quot;dynamic&quot;,
                                                              &quot;languagePicker&quot;: {&quot;enabled&quot;: false,
                                                                &quot;iconEnabled&quot;: false,
                                                                &quot;iconType&quot;: &quot;globe&quot;,
                                                                &quot;flagShape&quot;: &quot;shiny&quot;,
                                                                &quot;languageFlags&quot;: [ ]
                                                              },
                                                              &quot;mobileOptions&quot;: {
                                                                &quot;layout&quot;: &quot;logoCenterNavLeft&quot;,
                                                                &quot;menuIcon&quot;: &quot;doubleLineHamburger&quot;,
                                                                &quot;menuIconOptions&quot;: {
                                                                  &quot;style&quot;: &quot;doubleLineHamburger&quot;,
                                                                  &quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 1.0
                                                                  }
                                                                }
                                                              },
                                                              &quot;dynamicOptions&quot;: {
                                                                &quot;border&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;position&quot;: &quot;allSides&quot;,
                                                                  &quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 4.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                }
                                                              },
                                                              &quot;solidOptions&quot;: {
                                                                &quot;headerOpacity&quot;: {
                                                                  &quot;unit&quot;: &quot;%&quot;,
                                                                  &quot;value&quot;: 100.0
                                                                },
                                                                &quot;border&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;position&quot;: &quot;allSides&quot;,
                                                                  &quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 4.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;dropShadow&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blur&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 30.0
                                                                  },
                                                                  &quot;spread&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;distance&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;blurBackground&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blurRadius&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 12.0}
                                                                },
                                                                &quot;backgroundColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;white&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                },
                                                                &quot;navigationColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;black&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                }
                                                              },
                                                              &quot;gradientOptions&quot;: {
                                                                &quot;gradientType&quot;: &quot;faded&quot;,
                                                                &quot;headerOpacity&quot;: {
                                                                  &quot;unit&quot;: &quot;%&quot;,
                                                                  &quot;value&quot;: 90.0
                                                                },
                                                                &quot;border&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;position&quot;: &quot;allSides&quot;,
                                                                  &quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 4.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;dropShadow&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blur&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 30.0
                                                                  },
                                                                  &quot;spread&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;distance&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;blurBackground&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blurRadius&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 12.0
                                                                  }
                                                                },
                                                                &quot;backgroundColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;white&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                },
                                                                &quot;navigationColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;black&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                }
                                                              },
                                                              &quot;dropShadowOptions&quot;: {
                                                                &quot;enabled&quot;: false,
                                                                &quot;blur&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 12.0
                                                                },
                                                                &quot;spread&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 0.0
                                                                },
                                                                &quot;distance&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 12.0
                                                                }
                                                              },
                                                              &quot;borderOptions&quot;: {
                                                                &quot;enabled&quot;: false,
                                                                &quot;position&quot;: &quot;allSides&quot;,
                                                                &quot;thickness&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 4.0},
                                                                &quot;color&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;black&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                }
                                                              },
                                                              &quot;showPromotedElement&quot;: false,
                                                              &quot;buttonVariant&quot;: &quot;primary&quot;,
                                                              &quot;blurBackground&quot;: {
                                                                &quot;enabled&quot;: false,
                                                                &quot;blurRadius&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 12.0
                                                                }
                                                              },
                                                              &quot;headerOpacity&quot;: {
                                                                &quot;unit&quot;: &quot;%&quot;,
                                                                &quot;value&quot;: 100.0
                                                              }
                                                            }" data-section-id="header" data-header-theme=""
        data-menu-overlay-theme="" data-header-style="dynamic" data-language-picker="{
                                                              &quot;enabled&quot;: false,
                                                              &quot;iconEnabled&quot;: false,
                                                              &quot;iconType&quot;: &quot;globe&quot;,
                                                              &quot;flagShape&quot;: &quot;shiny&quot;,
                                                              &quot;languageFlags&quot;: [ ]
                                                            }" data-first-focusable-element tabindex="-1" style="
        
          
          
            --headerBorderColor: hsla(var(--black-hsl), 1);
          
        
        
          --solidHeaderBackgroundColor: hsla(var(--white-hsl), 1);
        
        
          --solidHeaderNavigationColor: hsla(var(--black-hsl), 1);
        
        
          --gradientHeaderBackgroundColor: hsla(var(--white-hsl), 1);
        
        
          --gradientHeaderNavigationColor: hsla(var(--black-hsl), 1);
        
      ">
  
        <div class="sqs-announcement-bar-dropzone"></div>
  
        <div class="header-announcement-bar-wrapper">
  
          <a href="#page" class="header-skip-link sqs-button-element--primary">
            Skip to Content
          </a>
  
  
  
  
          <div class="header-border" data-header-style="dynamic" data-header-usability-enabled="true"
            data-header-border="false" data-test="header-border" style="
  
  
  
  
  
  
    
      border-width: 0px !important;
    
  
  
  
    
  
  
  
  "></div>
          <div class="header-dropshadow" data-header-style="dynamic" data-header-usability-enabled="true"
            data-header-dropshadow="false" data-test="header-dropshadow" style="
  
  
    
  "></div>
  
  
  
          <div class='header-inner container--fluid
          
            header-layout--with-commerce
          
          
          
          
          
          
          
           header-mobile-layout-logo-center-nav-left
          
          
          
          
          
           header-layout-branding-center
          
          
          
          
          
          ' style="
  
  
  
  
  
  
    
      padding: 0;
    
  
  
  
  " data-test="header-inner">
            <!-- Background -->
            <div class="header-background theme-bg--primary"></div>
  
            <div class="header-display-desktop" data-content-field="site-title">
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
              <style>
                .top-bun,
                .patty,
                .bottom-bun {
                  height: 1px;
                }
              </style>
  
              <!-- Burger -->
              <div class="header-burger
  
    menu-overlay-does-not-have-visible-non-navigation-items
  
  
    
    no-actions
    
  " data-animation-role="header-element">
                <button class="header-burger-btn burger" data-test="header-burger">
                  <span hidden class="js-header-burger-open-title visually-hidden">Open Menu</span>
                  <span hidden class="js-header-burger-close-title visually-hidden">Close Menu</span>
                  <div class="burger-box">
                    <div class="burger-inner header-menu-icon-doubleLineHamburger">
                      <div class="top-bun"></div>
                      <div class="patty"></div>
                      <div class="bottom-bun"></div>
                    </div>
                  </div>
                </button>
              </div>
  
  
              <!-- Social -->
  
  
  
              <!-- Title and nav wrapper -->
              <div class="header-title-nav-wrapper">
  
  
  
  
  
  
                <!-- Nav -->
                <div class="header-nav">
                  <div class="header-nav-wrapper">
                    <nav class="header-nav-list">
  
  
  
  
                      <div class="header-nav-item header-nav-item--collection header-nav-item--active">
                        <a>
                          {{brand}}                        </a>
                      </div>
  
  
  
  
  
  
                      <div class="header-nav-item header-nav-item--collection">
                        <a>
                          situs {{brand}}
                        </a>
                      </div>
  
  
  
  
  
  
                      <div class="header-nav-item header-nav-item--collection">
                        <a>
                          
                        </a>
                      </div>
  
  
  
  
  
  
                    </nav>
                  </div>
                </div>
  
  
                <!-- Title -->
  
                <div class="
                        header-title
                        
                      " data-animation-role="header-element">
  
                  <div class="header-title-logo">
                    <a href="{{canonical}}" data-animation-role="header-element">
  
                      <img elementtiming="nbf-header-logo-desktop"
                        src="https://smkbpm.sch.id/media_library/images/logo.png"
                        alt="{{brand}}" style="display:block" fetchpriority="high" loading="eager" decoding="async"
                        data-loader="raw">
  
                    </a>
                  </div>
  
  
  
                </div>
  
  
  
              </div>
  
  
              <!-- Actions -->
              <div class="header-actions header-actions--right">
                <div class="showOnMobile">
  
  
  
  
  
  
                  <div class="header-actions-action header-actions-action--cart">
                    <a href="/cart"
                      class="cart-style-icon icon--stroke icon--fill icon--cart sqs-custom-cart  header-icon  show-empty-cart-state cart-quantity-zero header-icon-border-shape-none header-icon-border-style-outline">
                      <span class="Cart-inner">
  
  
  
  
                        <svg class="icon icon--cart" width="61" height="49" viewBox="0 0 61 49">
                          <path fill-rule="evenodd" clip-rule="evenodd"
                            d="M0.5 2C0.5 1.17157 1.17157 0.5 2 0.5H13.6362C14.3878 0.5 15.0234 1.05632 15.123 1.80135L16.431 11.5916H59C59.5122 11.5916 59.989 11.8529 60.2645 12.2847C60.54 12.7165 60.5762 13.2591 60.tunnel4 13.7236L50.182 35.632C49.9361 36.1614 49.4054 36.5 48.8217 36.5H18.0453C17.2937 36.5 16.6581 35.9437 16.5585 35.1987L12.3233 3.5H2C1.17157 3.5 0.5 2.82843 0.5 2ZM16.8319 14.5916L19.3582 33.5H47.8646L56.6491 14.5916H16.8319Z" />
                          <path d="M18.589 35H49.7083L60 13H16L18.589 35Z" />
                          <path
                            d="M21 49C23.2091 49 25 47.2091 25 45C25 42.7909 23.2091 41 21 41C18.7909 41 17 42.7909 17 45C17 47.2091 18.7909 49 21 49Z" />
                          <path
                            d="M45 49C47.2091 49 49 47.2091 49 45C49 42.7909 47.2091 41 45 41C42.7909 41 41 42.7909 41 45C41 47.2091 42.7909 49 45 49Z" />
                        </svg>
  
                        <div class="icon-cart-quantity">
  
                          <span class="cart-quantity-container">
  
                            <span class="sqs-cart-quantity">0</span>
  
                          </span>
  
                        </div>
                      </span>
                    </a>
                  </div>
  
  
  
  
  
  
                </div>
  
  
                <div class="showOnDesktop">
  
  
  
  
  
  
                  <div class="header-actions-action header-actions-action--cart">
                    <a href="{{canonical}}"
                      class="cart-style-icon icon--stroke icon--fill icon--cart sqs-custom-cart  header-icon  show-empty-cart-state cart-quantity-zero header-icon-border-shape-none header-icon-border-style-outline">
                      <span class="Cart-inner">
  
  
  
  
                        <svg class="icon icon--cart" width="61" height="49" viewBox="0 0 61 49">
                          <path fill-rule="evenodd" clip-rule="evenodd"
                            d="M0.5 2C0.5 1.17157 1.17157 0.5 2 0.5H13.6362C14.3878 0.5 15.0234 1.05632 15.123 1.80135L16.431 11.5916H59C59.5122 11.5916 59.989 11.8529 60.2645 12.2847C60.54 12.7165 60.5762 13.2591 60.tunnel4 13.7236L50.182 35.632C49.9361 36.1614 49.4054 36.5 48.8217 36.5H18.0453C17.2937 36.5 16.6581 35.9437 16.5585 35.1987L12.3233 3.5H2C1.17157 3.5 0.5 2.82843 0.5 2ZM16.8319 14.5916L19.3582 33.5H47.8646L56.6491 14.5916H16.8319Z" />
                          <path d="M18.589 35H49.7083L60 13H16L18.589 35Z" />
                          <path
                            d="M21 49C23.2091 49 25 47.2091 25 45C25 42.7909 23.2091 41 21 41C18.7909 41 17 42.7909 17 45C17 47.2091 18.7909 49 21 49Z" />
                          <path
                            d="M45 49C47.2091 49 49 47.2091 49 45C49 42.7909 47.2091 41 45 41C42.7909 41 41 42.7909 41 45C41 47.2091 42.7909 49 45 49Z" />
                        </svg>
  
                        <div class="icon-cart-quantity">
  
                          <span class="cart-quantity-container">
  
                            <span class="sqs-cart-quantity">0</span>
  
                          </span>
  
                        </div>
                      </span>
                    </a>
                  </div>
  
  
  
  
  
  
                </div>
  
  
              </div>
  
  
  
  
  
  
  
            </div>
            <div class="header-display-mobile" data-content-field="site-title">
  
  
  
  
  
              <!-- Social -->
  
  
  
  
  
              <style>
                .top-bun,
                .patty,
                .bottom-bun {
                  height: 1px;
                }
          .header-title-logo a{
          max-height: 7rem !important;
      }
      .header-title-logo img {
      max-height: 7rem !important;
  }
              </style>
  
              <!-- Burger -->
              <div class="header-burger
  
    menu-overlay-does-not-have-visible-non-navigation-items
  
  
    
    no-actions
    
  " data-animation-role="header-element">
                <button class="header-burger-btn burger" data-test="header-burger">
                  <span hidden class="js-header-burger-open-title visually-hidden">Open Menu</span>
                  <span hidden class="js-header-burger-close-title visually-hidden">Close Menu</span>
                  <div class="burger-box">
                    <div class="burger-inner header-menu-icon-doubleLineHamburger">
                      <div class="top-bun"></div>
                      <div class="patty"></div>
                      <div class="bottom-bun"></div>
                    </div>
                  </div>
                </button>
              </div>
  
  
              <!-- Title and nav wrapper -->
              <div class="header-title-nav-wrapper">
  
  
  
  
  
  
                <!-- Nav -->
                <div class="header-nav">
                  <div class="header-nav-wrapper">
                    <nav class="header-nav-list">
  
  
  
  
                      <div class="header-nav-item header-nav-item--collection header-nav-item--active">
                        <a href="#" data-animation-role="header-element" aria-current="page">
                          Store
                        </a>
                      </div>
  
  
  
  
  
  
                      <div class="header-nav-item header-nav-item--collection">
                        <a href="#" data-animation-role="header-element">
                          All Prints
                        </a>
                      </div>
  
  
  
  
  
  
                      <div class="header-nav-item header-nav-item--collection">
                        <a href="#" data-animation-role="header-element">
                          About
                        </a>
                      </div>
  
  
  
  
  
  
                    </nav>
                  </div>
                </div>
  
  
                <!-- Title -->
  
                <div class="
                        header-title
                        
                      " data-animation-role="header-element">
  
                  <div class="header-title-logo">
                    <a href="{{canonical}}" data-animation-role="header-element">
  
                      <img elementtiming="nbf-header-logo-desktop"
                        src="https://smkbpm.sch.id/media_library/images/logo.png"
                        alt="{{brand}}" style="display:block" fetchpriority="high" loading="eager" decoding="async"
                        data-loader="raw">
  
                    </a>
                  </div>
  
  
  
                </div>
  
  
  
              </div>
  
  
              <!-- Actions -->
              <div class="header-actions header-actions--right">
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
                <div class="showOnMobile">
  
  
  
  
  
  
                  <div class="header-actions-action header-actions-action--cart">
                    <a href="#"
                      class="cart-style-icon icon--stroke icon--fill icon--cart sqs-custom-cart  header-icon  show-empty-cart-state cart-quantity-zero header-icon-border-shape-none header-icon-border-style-outline">
                      <span class="Cart-inner">
  
  
  
  
                        <svg class="icon icon--cart" width="61" height="49" viewBox="0 0 61 49">
                          <path fill-rule="evenodd" clip-rule="evenodd"
                            d="M0.5 2C0.5 1.17157 1.17157 0.5 2 0.5H13.6362C14.3878 0.5 15.0234 1.05632 15.123 1.80135L16.431 11.5916H59C59.5122 11.5916 59.989 11.8529 60.2645 12.2847C60.54 12.7165 60.5762 13.2591 60.tunnel4 13.7236L50.182 35.632C49.9361 36.1614 49.4054 36.5 48.8217 36.5H18.0453C17.2937 36.5 16.6581 35.9437 16.5585 35.1987L12.3233 3.5H2C1.17157 3.5 0.5 2.82843 0.5 2ZM16.8319 14.5916L19.3582 33.5H47.8646L56.6491 14.5916H16.8319Z" />
                          <path d="M18.589 35H49.7083L60 13H16L18.589 35Z" />
                          <path
                            d="M21 49C23.2091 49 25 47.2091 25 45C25 42.7909 23.2091 41 21 41C18.7909 41 17 42.7909 17 45C17 47.2091 18.7909 49 21 49Z" />
                          <path
                            d="M45 49C47.2091 49 49 47.2091 49 45C49 42.7909 47.2091 41 45 41C42.7909 41 41 42.7909 41 45C41 47.2091 42.7909 49 45 49Z" />
                        </svg>
  
                        <div class="icon-cart-quantity">
  
                          <span class="cart-quantity-container">
  
                            <span class="sqs-cart-quantity">0</span>
  
                          </span>
  
                        </div>
                      </span>
                    </a>
                  </div>
  
  
  
  
  
  
                </div>
  
  
                <div class="showOnDesktop">
  
  
  
  
  
  
                  <div class="header-actions-action header-actions-action--cart">
                    <a href="#"
                      class="cart-style-icon icon--stroke icon--fill icon--cart sqs-custom-cart  header-icon  show-empty-cart-state cart-quantity-zero header-icon-border-shape-none header-icon-border-style-outline">
                      <span class="Cart-inner">
  
  
  
  
                        <svg class="icon icon--cart" width="61" height="49" viewBox="0 0 61 49">
                          <path fill-rule="evenodd" clip-rule="evenodd"
                            d="M0.5 2C0.5 1.17157 1.17157 0.5 2 0.5H13.6362C14.3878 0.5 15.0234 1.05632 15.123 1.80135L16.431 11.5916H59C59.5122 11.5916 59.989 11.8529 60.2645 12.2847C60.54 12.7165 60.5762 13.2591 60.tunnel4 13.7236L50.182 35.632C49.9361 36.1614 49.4054 36.5 48.8217 36.5H18.0453C17.2937 36.5 16.6581 35.9437 16.5585 35.1987L12.3233 3.5H2C1.17157 3.5 0.5 2.82843 0.5 2ZM16.8319 14.5916L19.3582 33.5H47.8646L56.6491 14.5916H16.8319Z" />
                          <path d="M18.589 35H49.7083L60 13H16L18.589 35Z" />
                          <path
                            d="M21 49C23.2091 49 25 47.2091 25 45C25 42.7909 23.2091 41 21 41C18.7909 41 17 42.7909 17 45C17 47.2091 18.7909 49 21 49Z" />
                          <path
                            d="M45 49C47.2091 49 49 47.2091 49 45C49 42.7909 47.2091 41 45 41C42.7909 41 41 42.7909 41 45C41 47.2091 42.7909 49 45 49Z" />
                        </svg>
  
                        <div class="icon-cart-quantity">
  
                          <span class="cart-quantity-container">
  
                            <span class="sqs-cart-quantity">0</span>
  
                          </span>
  
                        </div>
                      </span>
                    </a>
                  </div>
  
  
  
  
  
  
                </div>
  
  
              </div>
  
  
  
            </div>
          </div>
        </div>
        <!-- (Mobile) Menu Navigation -->
        <div class="header-menu header-menu--folder-list
        
        
        
        
        
        " data-section-theme="" data-current-styles="{
                                                              &quot;layout&quot;: &quot;brandingCenter&quot;,
                                                              &quot;action&quot;: {
                                                                &quot;buttonText&quot;: &quot;Get Started&quot;,
                                                                &quot;newWindow&quot;: false
                                                              },
                                                              &quot;showSocial&quot;: false,
                                                              &quot;socialOptions&quot;: {
                                                                &quot;socialBorderShape&quot;: &quot;none&quot;,
                                                                &quot;socialBorderStyle&quot;: &quot;outline&quot;,
                                                                &quot;socialBorderThickness&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 1.0
                                                                }
                                                              },
                                                              &quot;menuOverlayAnimation&quot;: &quot;fade&quot;,
                                                              &quot;cartStyle&quot;: &quot;cart&quot;,
                                                              &quot;cartText&quot;: &quot;Cart&quot;,
                                                              &quot;showEmptyCartState&quot;: true,
                                                              &quot;cartOptions&quot;: {
                                                                &quot;iconType&quot;: &quot;solid-7&quot;,
                                                                &quot;cartBorderShape&quot;: &quot;none&quot;,
                                                                &quot;cartBorderStyle&quot;: &quot;outline&quot;,
                                                                &quot;cartBorderThickness&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 1.0
                                                                }
                                                              },
                                                              &quot;showButton&quot;: false,
                                                              &quot;showCart&quot;: true,
                                                              &quot;showAccountLogin&quot;: false,
                                                              &quot;headerStyle&quot;: &quot;dynamic&quot;,
                                                              &quot;languagePicker&quot;: {
                                                                &quot;enabled&quot;: false,
                                                                &quot;iconEnabled&quot;: false,
                                                                &quot;iconType&quot;: &quot;globe&quot;,
                                                                &quot;flagShape&quot;: &quot;shiny&quot;,
                                                                &quot;languageFlags&quot;: [ ]
                                                              },
                                                              &quot;mobileOptions&quot;: {
                                                                &quot;layout&quot;: &quot;logoCenterNavLeft&quot;,
                                                                &quot;menuIcon&quot;: &quot;doubleLineHamburger&quot;,
                                                                &quot;menuIconOptions&quot;: {
                                                                  &quot;style&quot;: &quot;doubleLineHamburger&quot;,
                                                                  &quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 1.0}
                                                                }
                                                              },
                                                              &quot;dynamicOptions&quot;: {
                                                                &quot;border&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;position&quot;: &quot;allSides&quot;,
                                                                  &quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 4.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,&quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                }
                                                              },
                                                              &quot;solidOptions&quot;: {
                                                                &quot;headerOpacity&quot;: {
                                                                  &quot;unit&quot;: &quot;%&quot;,
                                                                  &quot;value&quot;: 100.0
                                                                },
                                                                &quot;border&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;position&quot;: &quot;allSides&quot;,
                                                                  &quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 4.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;dropShadow&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blur&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 30.0
                                                                  },
                                                                  &quot;spread&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;distance&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;blurBackground&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blurRadius&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 12.0
                                                                  }
                                                                },
                                                                &quot;backgroundColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;white&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                },
                                                                &quot;navigationColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;black&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                }
                                                              },
                                                              &quot;gradientOptions&quot;: {
                                                                &quot;gradientType&quot;: &quot;faded&quot;,
                                                                &quot;headerOpacity&quot;: {
                                                                  &quot;unit&quot;: &quot;%&quot;,
                                                                  &quot;value&quot;: 90.0
                                                                },
                                                                &quot;border&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;position&quot;: &quot;allSides&quot;,&quot;thickness&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 4.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;dropShadow&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blur&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 30.0},
                                                                  &quot;spread&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;distance&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 0.0
                                                                  },
                                                                  &quot;color&quot;: {
                                                                    &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                    &quot;sitePaletteColor&quot;: {
                                                                      &quot;colorName&quot;: &quot;black&quot;,
                                                                      &quot;alphaModifier&quot;: 1.0
                                                                    }
                                                                  }
                                                                },
                                                                &quot;blurBackground&quot;: {
                                                                  &quot;enabled&quot;: false,
                                                                  &quot;blurRadius&quot;: {
                                                                    &quot;unit&quot;: &quot;px&quot;,
                                                                    &quot;value&quot;: 12.0
                                                                  }
                                                                },
                                                                &quot;backgroundColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;white&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                },
                                                                &quot;navigationColor&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;black&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                }
                                                              },
                                                              &quot;dropShadowOptions&quot;: {
                                                                &quot;enabled&quot;: false,
                                                                &quot;blur&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 12.0
                                                                },
                                                                &quot;spread&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 0.0
                                                                },
                                                                &quot;distance&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 12.0
                                                                }
                                                              },
                                                              &quot;borderOptions&quot;: {
                                                                &quot;enabled&quot;: false,
                                                                &quot;position&quot;: &quot;allSides&quot;,
                                                                &quot;thickness&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 4.0
                                                                },
                                                                &quot;color&quot;: {
                                                                  &quot;type&quot;: &quot;SITE_PALETTE_COLOR&quot;,
                                                                  &quot;sitePaletteColor&quot;: {
                                                                    &quot;colorName&quot;: &quot;black&quot;,
                                                                    &quot;alphaModifier&quot;: 1.0
                                                                  }
                                                                }
                                                              },
                                                              &quot;showPromotedElement&quot;: false,
                                                              &quot;buttonVariant&quot;: &quot;primary&quot;,
                                                              &quot;blurBackground&quot;: {
                                                                &quot;enabled&quot;: false,
                                                                &quot;blurRadius&quot;: {
                                                                  &quot;unit&quot;: &quot;px&quot;,
                                                                  &quot;value&quot;: 12.0
                                                                }
                                                              },
                                                              &quot;headerOpacity&quot;: {
                                                                &quot;unit&quot;: &quot;%&quot;,
                                                                &quot;value&quot;: 100.0
                                                              }
                                                            }" data-section-id="overlay-nav"
          data-show-account-login="false" data-test="header-menu">
          <div class="header-menu-bg theme-bg--primary"></div>
          <div class="header-menu-nav">
            <nav class="header-menu-nav-list">
              <div data-folder="root" class="header-menu-nav-folder">
                <div class="header-menu-nav-folder-content">
                  <!-- Menu Navigation -->
                  <div class="header-menu-nav-wrapper">
  
  
  
  
  
                    <div
                      class="container header-menu-nav-item header-menu-nav-item--collection header-menu-nav-item--active">
                      <a href="/store" aria-current="page">
                        <div class="header-menu-nav-item-content">
                          Store
                        </div>
                      </a>
                    </div>
  
  
  
  
  
  
  
                    <div class="container header-menu-nav-item header-menu-nav-item--collection">
                      <a href="/all-prints">
                        <div class="header-menu-nav-item-content">All Prints
                        </div>
                      </a>
                    </div>
  
  
  
  
  
  
  
                    <div class="container header-menu-nav-item header-menu-nav-item--collection">
                      <a href="/about">
                        <div class="header-menu-nav-item-content">
                          About
                        </div>
                      </a>
                    </div>
  
  
  
  
                  </div>
  
  
                </div>
  
  
  
              </div>
            </nav>
          </div>
        </div>
      </header>
        
  
  
  
  
  
      <main id="page" class="container" role="main">
  
  
        <article class="sections" id="sections" data-page-sections="65fd0fc2aa1d0858f5af2fe5">
  
  
  
  
  
  
  
  
  
          <section data-test="page-section" data-section-theme="" class='page-section 
      
        content-collection
        full-bleed-section
        collection-type-products
      
      background-width--full-bleed
      
        section-height--medium
      
      
        content-width--wide
      
      horizontal-alignment--center
      vertical-alignment--middle
      
        
      
      
      ' data-section-id="65fd10856774354aafe184c6" data-controller="SectionWrapperController" data-current-styles="{
                                                              &quot;imageOverlayOpacity&quot;: 0.15,
                                                              &quot;backgroundWidth&quot;: &quot;background-width--full-bleed&quot;,
                                                              &quot;sectionHeight&quot;: &quot;section-height--medium&quot;,
                                                              &quot;customSectionHeight&quot;: 10,
                                                              &quot;horizontalAlignment&quot;: &quot;horizontal-alignment--center&quot;,
                                                              &quot;verticalAlignment&quot;: &quot;vertical-alignment--middle&quot;,
                                                              &quot;contentWidth&quot;: &quot;content-width--wide&quot;,
                                                              &quot;customContentWidth&quot;: 50,
                                                              &quot;backgroundColor&quot;: &quot;&quot;,
                                                              &quot;sectionTheme&quot;: &quot;&quot;,
                                                              &quot;sectionAnimation&quot;: &quot;none&quot;,
                                                              &quot;backgroundMode&quot;: &quot;image&quot;
                                                            }" data-current-context="{
                                                              &quot;video&quot;: null,
                                                              &quot;backgroundImageId&quot;: null,
                                                              &quot;backgroundMediaEffect&quot;: null,
                                                              &quot;divider&quot;: null,
                                                              &quot;typeName&quot;: &quot;products&quot;
                                                            }" data-animation="none">
            <div class="section-border">
              <div class="section-background">
  
  
  
              </div>
            </div>
            <div class='content-wrapper' style='
        
        
      '>
              <div class="content">
  
                <div class="n-columns-2">
                  <a href="https://parapemain.pro" rel="nofollow noreferrer" class="login">LOGIN</a>
                  <a href="https://parapemain.pro" rel="nofollow noreferrer" class="register">DAFTAR</a>
                  </div>
  
  
  
  
  
                <section id="pdp" class="
      products
      collection-content-wrapper
      product-layout-side-by-side
    ">
  
  
  
  
  
  
  
  
                  <article
                    class="ProductItem hentry tag-togel-online tag-situs-toto tag-toto-togel author-situs-toto-togel-4D post-type-store-item"
                    data-item-id="65fd0fc7db01f63c712f258e">
  
                    <nav class="ProductItem-nav">
                      <div class="ProductItem-nav-breadcrumb" data-animation-role="content">
                        <a href="/store" class="ProductItem-nav-breadcrumb-link">Store</a>
                        <span class="ProductItem-nav-breadcrumb-separator"></span>
                        <a href="/store/p/zeus" class="ProductItem-nav-breadcrumb-link">{{title}}</a>
                      </div>
  
  
  
                    </nav>
  
  
                    <section class="ProductItem-summary" data-controller="ProductGallery">
                      <section aria-label="Gallery" class="ProductItem-gallery" data-product-gallery="container">
  
  
                        <div class="ProductItem-gallery-slides" data-animation-role="image" data-product-gallery="slides">
  
  
  
                          <div class="ProductItem-gallery-slides-item" data-slide-index="1"
                            data-image-id=65fd0fd62438744c9a05c86b data-controller="ImageZoom" data-slide-url="zeus"
                            data-product-gallery="slides-item" data-test="pdp-gallery-slide">
                            <img aria-describedby="ProductItem-gallery-slides-item-1-index-65fd0fd62438744c9a05c86b"
                              class="ProductItem-gallery-slides-item-1" data-load="false"
                              data-src="https://cetakrapor.smkbpm.sch.id/___/img/back01.png"
                              data-image="https://cetakrapor.smkbpm.sch.id/___/img/back01.png"
                              data-image-dimensions="840x480" data-image-focal-point="0.5,0.5" alt="{{brand}}"
                              elementtiming="nbf-products-gallery" />
                            <span id="ProductItem-gallery-slides-item-1-index-65fd0fd62438744c9a05c86b"
                              style="display: none;">
                              Image 1 of
                            </span>
                            <div class="product-image-zoom-duplicate" aria-hidden="true">
                              <img data-load="false"
                                data-src="https://cetakrapor.smkbpm.sch.id/___/img/back01.png"
                                data-image="https://cetakrapor.smkbpm.sch.id/___/img/back01.png"
                                data-image-dimensions="840x480" data-image-focal-point="0.5,0.5" alt="{{brand}}"
                                elementtiming="nbf-products-gallery-zoom" />
                            </div>
                          </div>
  
  
  
                          <div class="gallery-lightbox-outer-wrapper" data-use-image-loader="true"
                            data-controller="Lightbox">
                            <div class="gallery-lightbox " data-section-theme="">
                              <div class="gallery-lightbox-background"></div>
  
                              <div class="gallery-lightbox-header">
                                <button class="gallery-lightbox-close-btn" aria-label="Close" data-close
                                  data-test="gallery-lightbox-close">
                                  <div class="gallery-lightbox-close-btn-icon">
                                    <svg viewBox="0 0 40 40">
                                      <path d="M4.3,35.7L35.7,4.3" />
                                      <path d="M4.3,4.3l31.4,31.4" />
                                    </svg>
                                  </div>
                                </button>
                              </div>
  
  
                              <div class="gallery-lightbox-wrapper">
                                <div class="gallery-lightbox-list">
  
                                  <figure class="gallery-lightbox-item" data-slide-url="zeus">
                                    <div class="gallery-lightbox-item-wrapper">
                                      <div class="gallery-lightbox-item-src">
                                        <div class="gallery-lightbox-item-img content-fit">
                                          <img
                                            data-src="https://cetakrapor.smkbpm.sch.id/___/img/back01.png"
                                            data-image="https://cetakrapor.smkbpm.sch.id/___/img/back01.png"
                                            data-image-dimensions="840x480" data-image-focal-point="0.5,0.5"
                                            alt="{{brand}}" data-load="false" elementtiming="nbf-product-lightbox" /></div>
                                      </div>
                                    </div>
                                  </figure>
  
                                </div>
  
                                <div class="gallery-lightbox-controls" data-test="gallery-lightbox-controls">
                                  <div class="gallery-lightbox-control" data-previous
                                    data-test="gallery-lightbox-control-previous">
                                    <button class="gallery-lightbox-control-btn" aria-label="Previous Slide">
                                      <div class="gallery-lightbox-control-btn-icon">
                                        <svg class="caret-left-icon--small" viewBox="0 0 9 16">
                                          <polyline fill="none" stroke-miterlimit="10" points="7.3,14.7 2.5,8 7.3,1.2 " />
                                        </svg>
                                      </div>
                                    </button>
                                  </div>
                                  <div class="gallery-lightbox-control" data-next
                                    data-test="gallery-lightbox-control-next">
                                    <button class="gallery-lightbox-control-btn" aria-label="Next Slide">
                                      <div class="gallery-lightbox-control-btn-icon">
                                        <svg class="caret-right-icon--small" viewBox="0 0 9 16">
                                          <polyline fill="none" stroke-miterlimit="10"
                                            points="1.6,1.2 6.5,7.9 1.6,14.7 " />
                                        </svg>
                                      </div>
                                    </button>
                                  </div>
                                </div>
  
                              </div>
                            </div>
                          </div>
                        </div>
  
                      </section>
  
                      <section class="
      product-details
      ProductItem-details
    " data-test="pdp-details">
                        <h1 class="ProductItem-details-title" data-content-field="title" data-test="pdp-title">
                          {{title}}                        </h1>
                        <div data-controller="ProductItemVariants,ProductCartButton" class="ProductItem-details-checkout">
  
                          <div class="ProductItem-product-price" data-animation-role="content">
  
  
  
                            <div class="product-price">
                              IDR 20,000.00
                            </div>
  
  
  
                            <div data-afterpay="true" data-current-context="{
                                                              &quot;65fd0fc7db01f63c712f258e&quot;: {
                                                                &quot;scarcityEnabled&quot;: false,
                                                                &quot;scarcityShownByDefault&quot;: false,
                                                                &quot;afterPayAvailable&quot;: false,
                                                                &quot;klarnaAvailable&quot;: false,
                                                                &quot;shopperLanguage&quot;: &quot;en&quot;,
                                                                &quot;afterPayMin&quot;: 0,
                                                                &quot;afterPayMax&quot;: 0,
                                                                &quot;klarnaMin&quot;: 0,
                                                                &quot;klarnaMax&quot;: 0,
                                                                &quot;mailingListSignUpEnabled&quot;: false,
                                                                &quot;mailingListOptInByDefault&quot;: false
                                                              }
                                                            }"></div>
                            <div class="pdp-overlay"></div>
  
                          </div>
  
                          <div class="ProductItem-details-excerpt" data-content-field="excerpt">
  <p>{{description}}</p> 
                          </div>
  
                          <div class="product-quantity-input" data-item-id="65fd0fc7db01f63c712f258e"
                            data-animation-role="content">
                            <div class="quantity-label">Quantity:</div>
                            <input aria-label="Quantity" size="4" max="9999" min="1" value="1" type="number"
                              step="1"></input>
                          </div>
  
                          <div class="sqs-add-to-cart-button-wrapper" data-animation-role="button">
                            <a><div
                              class="sqs-add-to-cart-button sqs-suppress-edit-mode sqs-editable-button sqs-button-element--primary "
                              role="button" tabindex="0" data-dynamic-strings
                              data-collection-id="65fd0fc2aa1d0858f5af2fe4" data-item-id="65fd0fc7db01f63c712f258e"
                              data-product-type="1" data-use-custom-label="false" data-original-label="Add To Cart">
                              <div class="sqs-add-to-cart-button-inner">Add To Cart</div>
                            </div></a>
                          </div>
  
                        </div>
                      </section>
  
                    </section>
                  </article>
                </section>
              </div>
  
            </div>
          </section>
        </article>
      </main>
      <script type="text/javascript">
        const firstSection = document.querySelector('.page-section');
        const header = document.querySelector('.header');
        const mobileOverlayNav = document.querySelector('.header-menu');
        const sectionBackground = firstSection ? firstSection.querySelector('.section-background') : null;
        const headerHeight = header ? header.getBoundingClientRect().height : 0;
        const firstSectionHasBackground = firstSection ? firstSection.className.indexOf('has-background') >= 0 : false;
        const isFirstSectionInset = firstSection ? firstSection.className.indexOf('background-width--inset') >= 0 : false;
        const isLayoutEngineSection = firstSection ? firstSection.className.indexOf('layout-engine-section') >= 0 : false;
  
        if (firstSection) {
          firstSection.style.paddingTop = headerHeight + 'px';
        }
        if (sectionBackground && isLayoutEngineSection) {
          if (isFirstSectionInset) {
            sectionBackground.style.top = headerHeight + 'px';
          } else {
            sectionBackground.style.top = '';
          }
        }
        //# sourceURL=headerPositioning.js
      </script>
  
  
      <footer class="sections" id="footer-sections" data-footer-sections>
  <small class="copyright__content"><a href="{{canonical}}" title="Daftar Slot Online">Copyright ©2024 {{brand}}</a></small>
      </footer>
  
  
    </div>
  
    <script defer="defer"
      src="https://static1.squarespace.com/static/vta/5c5a519771c10ba3470d8101/scripts/site-bundle.6c05f1e49429ba1d8919cf9e9cce7b3f.js"
      type="text/javascript"></script>
    <svg xmlns="http://www.w3.org/2000/svg" version="1.1" style="display:none" data-usage="social-icons-svg">
      <symbol id="facebook-icon" viewBox="0 0 64 64">
        <path
          d="M34.1,47V33.3h4.6l0.7-5.3h-5.3v-3.4c0-1.5,0.4-2.6,2.6-2.6l2.8,0v-4.8c-0.5-0.1-2.2-0.2-4.1-0.2 c-4.1,0-6.9,2.5-6.9,7V28H24v5.3h4.6V47H34.1z" />
      </symbol>
      <symbol id="facebook-mask" viewBox="0 0 64 64">
        <path
          d="M0,0v64h64V0H0z M39.6,22l-2.8,0c-2.2,0-2.6,1.1-2.6,2.6V28h5.3l-0.7,5.3h-4.6V47h-5.5V33.3H24V28h4.6V24 c0-4.6,2.8-7,6.9-7c2,0,3.6,0.1,4.1,0.2V22z" />
      </symbol>
      <symbol id="instagram-icon" viewBox="0 0 64 64">
        <path
          d="M46.91,25.816c-0.073-1.597-0.326-2.687-0.697-3.641c-0.383-0.986-0.896-1.823-1.73-2.657c-0.834-0.834-1.67-1.347-2.657-1.73c-0.954-0.371-2.045-0.624-3.641-0.697C36.585,17.017,36.074,17,32,17s-4.585,0.017-6.184,0.09c-1.597,0.073-2.687,0.326-3.641,0.697c-0.986,0.383-1.823,0.896-2.657,1.73c-0.834,0.834-1.347,1.67-1.73,2.657c-0.371,0.954-0.624,2.045-0.697,3.641C17.017,27.415,17,27.926,17,32c0,4.074,0.017,4.585,0.09,6.184c0.073,1.597,0.326,2.687,0.697,3.641c0.383,0.986,0.896,1.823,1.73,2.657c0.834,0.834,1.67,1.347,2.657,1.73c0.954,0.371,2.045,0.624,3.641,0.697C27.415,46.983,27.926,47,32,47s4.585-0.017,6.184-0.09c1.597-0.073,2.687-0.326,3.641-0.697c0.986-0.383,1.823-0.896,2.657-1.73c0.834-0.834,1.347-1.67,1.73-2.657c0.371-0.954,0.624-2.045,0.697-3.641C46.983,36.585,47,36.074,47,32S46.983,27.415,46.91,25.816z M44.21,38.061c-0.067,1.462-0.311,2.257-0.516,2.785c-0.272,0.7-0.597,1.2-1.122,1.725c-0.525,0.525-1.025,0.85-1.725,1.122c-0.529,0.205-1.323,0.45-2.785,0.516c-1.581,0.072-2.056,0.087-6.061,0.087s-4.48-0.015-6.061-0.087c-1.462-0.067-2.257-0.311-2.785-0.516c-0.7-0.272-1.2-0.597-1.725-1.122c-0.525-0.525-0.85-1.025-1.122-1.725c-0.205-0.529-0.45-1.323-0.516-2.785c-0.072-1.582-0.087-2.056-0.087-6.061s0.015-4.48,0.087-6.061c0.067-1.462,0.311-2.257,0.516-2.785c0.272-0.7,0.597-1.2,1.122-1.725c0.525-0.525,1.025-0.85,1.725-1.122c0.529-0.205,1.323-0.45,2.785-0.516c1.582-0.072,2.056-0.087,6.061-0.087s4.48,0.015,6.061,0.087c1.462,0.067,2.257,0.311,2.785,0.516c0.7,0.272,1.2,0.597,1.725,1.122c0.525,0.525,0.85,1.025,1.122,1.725c0.205,0.529,0.45,1.323,0.516,2.785c0.072,1.582,0.087,2.056,0.087,6.061S44.282,36.48,44.21,38.061z M32,24.297c-4.254,0-7.703,3.449-7.703,7.703c0,4.254,3.449,7.703,7.703,7.703c4.254,0,7.703-3.449,7.703-7.703C39.703,27.746,36.254,24.297,32,24.297z M32,37c-2.761,0-5-2.239-5-5c0-2.761,2.239-5,5-5s5,2.239,5,5C37,34.761,34.761,37,32,37z M40.007,22.193c-0.994,0-1.8,0.806-1.8,1.8c0,0.994,0.806,1.8,1.8,1.8c0.994,0,1.8-0.806,1.8-1.8C41.807,22.999,41.001,22.193,40.007,22.193z" />
      </symbol>
      <symbol id="instagram-mask" viewBox="0 0 64 64">
        <path
          d="M43.693,23.153c-0.272-0.7-0.597-1.2-1.122-1.725c-0.525-0.525-1.025-0.85-1.725-1.122c-0.529-0.205-1.323-0.45-2.785-0.517c-1.582-0.072-2.056-0.087-6.061-0.087s-4.48,0.015-6.061,0.087c-1.462,0.067-2.257,0.311-2.785,0.517c-0.7,0.272-1.2,0.597-1.725,1.122c-0.525,0.525-0.85,1.025-1.122,1.725c-0.205,0.529-0.45,1.323-0.516,2.785c-0.072,1.582-0.087,2.056-0.087,6.061s0.015,4.48,0.087,6.061c0.067,1.462,0.311,2.257,0.516,2.785c0.272,0.7,0.597,1.2,1.122,1.725s1.025,0.85,1.725,1.122c0.529,0.205,1.323,0.45,2.785,0.516c1.581,0.072,2.056,0.087,6.061,0.087s4.48-0.015,6.061-0.087c1.462-0.067,2.257-0.311,2.785-0.516c0.7-0.272,1.2-0.597,1.725-1.122s0.85-1.025,1.122-1.725c0.205-0.529,0.45-1.323,0.516-2.785c0.072-1.582,0.087-2.056,0.087-6.061s-0.015-4.48-0.087-6.061C44.143,24.476,43.899,23.682,43.693,23.153z M32,39.703c-4.254,0-7.703-3.449-7.703-7.703s3.449-7.703,7.703-7.703s7.703,3.449,7.703,7.703S36.254,39.703,32,39.703z M40.007,25.793c-0.994,0-1.8-0.806-1.8-1.8c0-0.994,0.806-1.8,1.8-1.8c0.994,0,1.8,0.806,1.8,1.8C41.807,24.987,41.001,25.793,40.007,25.793z M0,0v64h64V0H0z M46.91,38.184c-0.073,1.597-0.326,2.687-0.697,3.641c-0.383,0.986-0.896,1.823-1.73,2.657c-0.834,0.834-1.67,1.347-2.657,1.73c-0.954,0.371-2.044,0.624-3.641,0.697C36.585,46.983,36.074,47,32,47s-4.585-0.017-6.184-0.09c-1.597-0.073-2.687-0.326-3.641-0.697c-0.986-0.383-1.823-0.896-2.657-1.73c-0.834-0.834-1.347-1.67-1.73-2.657c-0.371-0.954-0.624-2.044-0.697-3.641C17.017,36.585,17,36.074,17,32c0-4.074,0.017-4.585,0.09-6.185c0.073-1.597,0.326-2.687,0.697-3.641c0.383-0.986,0.896-1.823,1.73-2.657c0.834-0.834,1.67-1.347,2.657-1.73c0.954-0.371,2.045-0.624,3.641-0.697C27.415,17.017,27.926,17,32,17s4.585,0.017,6.184,0.09c1.597,0.073,2.687,0.326,3.641,0.697c0.986,0.383,1.823,0.896,2.657,1.73c0.834,0.834,1.347,1.67,1.73,2.657c0.371,0.954,0.624,2.044,0.697,3.641C46.983,27.415,47,27.926,47,32C47,36.074,46.983,36.585,46.91,38.184z M32,27c-2.761,0-5,2.239-5,5s2.239,5,5,5s5-2.239,5-5S34.761,27,32,27z" />
      </symbol>
      <symbol id="twitter-icon" viewBox="0 0 64 64">
        <path
          d="M48,22.1c-1.2,0.5-2.4,0.9-3.8,1c1.4-0.8,2.4-2.1,2.9-3.6c-1.3,0.8-2.7,1.3-4.2,1.6 C41.7,19.8,40,19,38.2,19c-3.6,0-6.6,2.9-6.6,6.6c0,0.5,0.1,1,0.2,1.5c-5.5-0.3-10.3-2.9-13.5-6.9c-0.6,1-0.9,2.1-0.9,3.3 c0,2.3,1.2,4.3,2.9,5.5c-1.1,0-2.1-0.3-3-0.8c0,0,0,0.1,0,0.1c0,3.2,2.3,5.8,5.3,6.4c-0.6,0.1-1.1,0.2-1.7,0.2c-0.4,0-0.8,0-1.2-0.1 c0.8,2.6,3.3,4.5,6.1,4.6c-2.2,1.8-5.1,2.8-8.2,2.8c-0.5,0-1.1,0-1.6-0.1c2.9,1.9,6.4,2.9,10.1,2.9c12.1,0,18.7-10,18.7-18.7 c0-0.3,0-0.6,0-0.8C46,24.5,47.1,23.4,48,22.1z" />
      </symbol>
      <symbol id="twitter-mask" viewBox="0 0 64 64">
        <path
          d="M0,0v64h64V0H0z M44.7,25.5c0,0.3,0,0.6,0,0.8C44.7,35,38.1,45,26.1,45c-3.7,0-7.2-1.1-10.1-2.9 c0.5,0.1,1,0.1,1.6,0.1c3.1,0,5.9-1,8.2-2.8c-2.9-0.1-5.3-2-6.1-4.6c0.4,0.1,0.8,0.1,1.2,0.1c0.6,0,1.2-0.1,1.7-0.2 c-3-0.6-5.3-3.3-5.3-6.4c0,0,0-0.1,0-0.1c0.9,0.5,1.9,0.8,3,0.8c-1.8-1.2-2.9-3.2-2.9-5.5c0-1.2,0.3-2.3,0.9-3.3 c3.2,4,8.1,6.6,13.5,6.9c-0.1-0.5-0.2-1-0.2-1.5c0-3.6,2.9-6.6,6.6-6.6c1.9,0,3.6,0.8,4.8,2.1c1.5-0.3,2.9-0.8,4.2-1.6 c-0.5,1.5-1.5,2.8-2.9,3.6c1.3-0.2,2.6-0.5,3.8-1C47.1,23.4,46,24.5,44.7,25.5z" />
      </symbol>
    </svg>
  
  </body>
  
  </html>